# PSF-LoginServer - master - net.psforever.objects.OffhandEquipmentSlot
PSF - LoginServer - master - net.psforever.objects.OffhandEquipmentSlot
Keywords: PSF LoginServer master net.psforever.objects.OffhandEquipmentSlot

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

c

net.psforever.objects

# OffhandEquipmentSlot 

###
Companion object OffhandEquipmentSlot

#### class OffhandEquipmentSlot extends EquipmentSlot

A size-checked unit of storage (or mounting) for `Equipment`. Unlike conventional `EquipmentSlot` space, this size of allowable `Equipment` is fixed.

Source
  OffhandEquipmentSlot.scala

Linear Supertypes
EquipmentSlot, AnyRef, Any
Known Subclasses
InventoryEquipmentSlot

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OffhandEquipmentSlot
2. EquipmentSlot
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new OffhandEquipmentSlot(size: equipment.EquipmentSize.Value)

   size

     the permanent size of the `Equipment` allowed in this slot

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Equipment: Option[Equipment]

   Determine what `Equipment` is stowed in the given position.

   Determine what `Equipment` is stowed in the given position.

   returns

     the `Equipment` in this slot

   Definition Classes
     EquipmentSlot
5.  def Equipment_=(assignEquipment: Option[Equipment]): Option[Equipment]

   Attempt to stow an item at the given position.

   Attempt to stow an item at the given position.

   assignEquipment

     the change in `Equipment` for this slot

   returns

     the `Equipment` in this slot

   Definition Classes
     EquipmentSlot
6.  def Equipment_=(assignEquipment: Equipment): Option[Equipment]

   Attempt to stow an item at the given position.

   Attempt to stow an item at the given position.

   assignEquipment

     the change in `Equipment` for this slot

   returns

     the `Equipment` in this slot

   Definition Classes
     EquipmentSlot
7.  def Size: equipment.EquipmentSize.Value
   Definition Classes
     EquipmentSlot
8.  def Size_=(assignSize: equipment.EquipmentSize.Value): equipment.EquipmentSize.Value

   Not allowed to change the slot size manually.

   Not allowed to change the slot size manually.

   assignSize

     the changed in capacity for this slot

   returns

     the capacity for this slot

   Definition Classes
     OffhandEquipmentSlot → EquipmentSlot
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from EquipmentSlot

### Inherited from AnyRef

### Inherited from Any

### Ungrouped